Bug 1178074 - CVE-2020-11993 not actually fixed?
CVE-2020-11993 not actually fixed?
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
All SLES 15
: P3 - Medium : Normal
: unspecified
Assigned To: Security Team bot
Security Team bot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-23 14:32 UTC by Carsten Wolff
Modified: 2021-01-12 12:16 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carsten Wolff 2020-10-23 14:32:11 UTC
Hello,

this advisory claims that CVE-2020-11993 has been fixed in apache2 for 15.1:
https://www.suse.com/support/update/announcement/2020/suse-su-20202344-1/

But, the SPEC file in the Leap_15.1_Update maintenance project[1] contains this:
# CVE-2020-11993 [bsc#1175070], CVE-2020-9490 [bsc#1175071]
Patch137:       apache2-mod_http2-1.15.14.patch
[...]
#%patch137 -p1

The fact that the %patch137 macro is commented does not look right.

Thanks
Carsten

[1] https://build.opensuse.org/package/view_file/openSUSE:Maintenance:14670/apache2.openSUSE_Leap_15.1_Update/apache2.spec?expand=1
Comment 1 Alexandros Toptsoglou 2020-10-26 08:05:11 UTC
(In reply to Carsten Wolff from comment #0)
> Hello,
> 
> this advisory claims that CVE-2020-11993 has been fixed in apache2 for 15.1:
> https://www.suse.com/support/update/announcement/2020/suse-su-20202344-1/
> 
> But, the SPEC file in the Leap_15.1_Update maintenance project[1] contains
> this:
> # CVE-2020-11993 [bsc#1175070], CVE-2020-9490 [bsc#1175071]
> Patch137:       apache2-mod_http2-1.15.14.patch
> [...]
> #%patch137 -p1
> 
> The fact that the %patch137 macro is commented does not look right.
> 
> Thanks
> Carsten
> 
> [1]
> https://build.opensuse.org/package/view_file/openSUSE:Maintenance:14670/
> apache2.openSUSE_Leap_15.1_Update/apache2.spec?expand=1

Thanks for your report. You seem right. We will look into it.
Comment 2 Alexandros Toptsoglou 2020-10-26 08:06:47 UTC
I can see that the comment out only exists in SLE15 the rest codestreams are OK.
Comment 3 Petr Gajdos 2020-10-26 08:28:40 UTC
Thanks for review, package was submitted.
Comment 5 Petr Gajdos 2020-10-26 09:27:06 UTC
home:pgajdos:apache-test:after looks good. Reassigning to security team.

Apologize for this error.
Comment 6 Swamp Workflow Management 2020-10-28 14:17:40 UTC
SUSE-SU-2020:3067-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175070,1175071,1178074
CVE References: CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    apache2-2.4.33-3.41.1
SUSE Linux Enterprise Server 15-LTSS (src):    apache2-2.4.33-3.41.1
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    apache2-2.4.33-3.41.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    apache2-2.4.33-3.41.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    apache2-2.4.33-3.41.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Marcus Meissner 2020-10-28 16:50:06 UTC
released for sle15, updates also in 15.x QA queue
Comment 8 Swamp Workflow Management 2020-10-31 20:14:19 UTC
openSUSE-SU-2020:1792-1: An update that solves two vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1175070,1175071,1178074
CVE References: CVE-2020-11993,CVE-2020-9490
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    apache2-2.4.33-lp151.8.21.1